import request from '@/utils/request'

// 查询用户物料关联列表
export function listProduct(query) {
	return request({
		url: '/quality/material/list',
		method: 'get',
		params: query
	});
}

// 查询用户物料关联详细
export function getProduct(userCode) {
	return request({
		url: '/quality/material/' + userCode,
		method: 'get'
		});
}

// 新增用户物料关联
export function addProduct(data) {
	return request({
		url: '/quality/material',
		method: 'post',
		data: data
	});
}

// 修改用户物料关联
export function updateProduct(data) {
	return request({
		url: '/quality/material',
		method: 'put',
		data: data
	});
}

// 删除用户物料关联
export function delProduct(userCode) {
	return request({
		url: '/quality/material/' + userCode,
		method: 'delete'
	});
}

// 查询用户物料未关联列表
export function getListProduct(query) {
	return request({
		url: '/quality/material/getList',
		method: 'get',
		params: query
	});
}

// 查询用户物料已关联列表
export function getRightList(query) {
	return request({
		url: '/quality/material/getRightList',
		method: 'get',
		params: query
	});
}
